aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/assert-content.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/assert-content.sh b/scripts/assert-content.sh
index ab11183..afcf9a0 100755
--- a/scripts/assert-content.sh
+++ b/scripts/assert-content.sh
@@ -84,6 +84,12 @@ assert-frontmatter() {
if ! contains-element "${URL}" "${IGNORED_PAGES[@]}"; then
TITLE="$(get-title "$F")"
[[ -z "${TITLE}" ]] && fail-attr 'title' "${URL}"
+ if grep ':' <(echo "$TITLE") > /dev/null; then
+ echo "Use of forbidden colon ':' on title '$TITLE'"
+ echo "Colons will make Jekyll create a subdirectory on the final path"
+ echo "Replace it with a dash '-'"
+ exit 1
+ fi
fi
if ! contains-element "${LANG}" "${LANGS[@]}"; then